Callability Class Reference

instrument callability More...

`#include <ql/instruments/callabilityschedule.hpp>`

Inheritance diagram for Callability:
[legend]

## Classes

class | Price
| amount to be paid upon callability More...

## Public Types

enum | Type { Call, Put }
| type of the callability

## Public Member Functions

| Callability (const Price &price, Type type, const Date &date)
const Price & | price () const
Type | type () const
Event interface
Date | date () const
| returns the date at which the event occurs
Visitability
virtual void | accept (AcyclicVisitor &)
Public Member Functions inherited from Event
virtual bool | hasOccurred (const Date &refDate=Date(), boost::optional< bool > includeRefDate=boost::none) const
| returns true if an event has already occurred before a date More...
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Detailed Description

instrument callability

Examples:
  CallableBonds.cpp, and ConvertibleBonds.cpp.